@import url('https://fonts.googleapis.com/css2?family=Fraunces:ital,opsz,wght@0,9..144,100..900;1,9..144,100..900&display=swap');

html, body, h1, h2,h3 {
    margin: 0;
    padding: 0;
    height: 100%;
    box-sizing: border-box;
    
}

h2 {
    font-family: "Fraunces", serif;
}
h1{
    font-family: "Fraunces", serif;
    font-size: 6rem;
    margin: 0;
}
h3 {
    font-family: Georgia, 'Times New Roman', Times, serif;
    font-weight: bolder;
    font-size: 2rem;
}
p {
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    font-size: 16px;
}

a {
    text-decoration: none;
    color: inherit;
}

button {
  transition: background 0.4s ease, transform 0.2s ease;
}
button:hover {
  background: #222;
  color: #fff;
  transform: translateY(-3px);
}

.navBar {
    display: flex;
    list-style: none;
    justify-content: center;
    gap: 7rem;
    padding: 0 1.8rem;
    align-items: center;
    a {
        text-decoration: none;
        color: #24333c;
        font-family: "Fraunces", serif;
        font-size: 1.2rem;
        font-weight: bolder;
    }
    
    a:hover {
      color: #0c5563;
    }
    
}
header {
    color: white;
    text-align: center;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

section {
  opacity: 1;
  transform: translateY(0);
  will-change: transform, opacity;
}

#password-overlay {
  position: fixed; 
  top: 0;
  left: 0;
  width: 100%;
  height: 100dvh;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999999;
  opacity: 1;
  color: white;
  transition: opacity 0.6s ease;    
}

.password-box {
  text-align: center;
  z-index: 9999;
  h2 {
    padding-bottom: 2rem;
    font-family: "Fraunces", serif;
    font-weight: 400;
  }
}

.password-box input {
  background: transparent;
  border: none;
  border-bottom: 2px solid white;
  color: white;
  padding: 10px;
  outline: none;
  margin-bottom: 10px;
  z-index: 9999999;
}

.password-box button {
  background: white;
  color: black;
  border: none;
  padding: 10px 20px;
  cursor: pointer;
  transition: 0.3s ease;
  z-index: 9999999;
}

.password-box button:hover {
  background: gray;
  color: white;
  z-index: 9999999;
}

#error-message {
  color: #ff4d4d;
  margin-top: 8px;
  font-size: 0.9rem;
  z-index: 9999;
}

.box-left {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  width: 50vw;
  background: #aea772a9;
  backdrop-filter: blur(20px);
  z-index: 99999;
}

.box-right {
  position: fixed;
  top: 0;
  bottom: 0;
  left: 50vw;
  width: 50vw;
  background: #aea772a9;
  backdrop-filter: blur(20px);
  z-index: 99999;
}
/** header section */
.header-section {
    background: #575337;
    background: linear-gradient(0deg,rgba(87, 83, 55, 1) 0%, rgba(136, 127, 84, 1) 100%);
    width: 100%;
    min-height: 100vh;
    position: relative;
    overflow: hidden; 
}

#headerText {
    padding-top: 10rem;
    line-height: 0.8;
    font-weight: 600;
    color: #B2DFFE;
}
#header-span-2 {
    font-weight: bolder;
    font-size: 2.7rem;
    margin-bottom: 1rem;
    display: inline-block;
}
#marriedText {
    line-height: 0.8;
    font-weight: 600;
}

#second-header-text {
    color: #B2DFFE;
    margin: 0;
    padding: 0;
    font-size: 1rem;
    font-weight: 400;
    padding-top: 4rem;
    letter-spacing: 0.2rem;

}

#address {
    color: #B2DFFE;
    margin: 0;
    padding: 0;
    font-weight: 400;
    padding-top: 1rem;
    font-size: 1.2rem;
    letter-spacing: 0.1rem;
    
}

#redirect-button {
    color: rgb(0, 0, 0);
    font-family: "Fraunces", serif;
    
    padding: 0.5rem 2rem;
    border-radius: 1rem;
    border: 2px solid black;
    box-shadow: 4px 5px 2px rgba(0, 0, 0, 0.3);
    background-color: #566560;
    font-size: 1.5rem;
    letter-spacing: 0.1rem;
    cursor: pointer;
    z-index: 999;
}
#description {
    color: #B2DFFE;
    padding-top: 3rem;
    letter-spacing: 0.1rem;
    font-size: 0.8rem;
    font-weight: 400;
    font-family: "Fraunces", serif;
     
}
/*  */


#section-2 {
    background: #E3894D;
    background: linear-gradient(180deg,rgba(227, 137, 77, 1) 0%, rgba(143, 166, 172, 1) 100%);
    /*width: 100%;*/
    min-height: 100vh;
    position: relative;
    padding: 8rem 2rem;
    z-index: 9999;

}

#michael-img {
  width: 200px;
  border-radius: 2rem;
}
#eliza-img {
  width: 200px;
  border-radius: 2rem;
}

#anderson-point {
  width: 100%;
  height: auto;
  object-fit: cover;
}
#iggy-img {
  width: 300px;
}
#pablo-img {
  width: 400px;
}
#pablo-img-mobile {
  display: none;
}
#albie-img {
  width: 500px;
  position: absolute;
  z-index: 9999;
  top: -18%;
}

.content-block {
    max-width: 1200px;
    margin: 0 auto;
    padding: 0 2rem;
}

.timeline-wrapper {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 6rem;
}
.info-wrapper {
    max-width: 1200px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 6rem;
}

.timeline-item {
  display: grid;
  align-items: center;
  gap: 3rem;
  padding-bottom: 2rem;
  z-index: 9999;
}

.timeline-item.left {
  grid-template-columns: 1fr 1fr;
  text-align: left;
}

.timeline-item.left {
  grid-template-columns: 1fr 1fr;
  text-align: left;
}

.timeline-item.right {
  grid-template-columns: 1fr 1fr;
  text-align: right;
}
.timeline-item.right-2 {
  grid-template-columns: 3fr 1fr;
  text-align: right;
}
.column-gap {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}
.timeline-item.center {
  display: flex;
  
  align-items: center;
  text-align: left;
  max-width: 1200px;
}
.timeline-item.center2 {
  display: flex;
  
  align-items: center;
  text-align: center;
  max-width: 500px;
  z-index: 9999;
}



#section-2-heading {
    color: black;
    font-weight: 500;
    font-size: 8rem;
    padding-top: 4rem;
    font-style:italic;
    font-family: "Fraunces", serif;
    margin-bottom: 15rem;
    text-align: left;
    
}

#heading-2 {
    color: black;
    font-weight: 500;
    font-size: 8rem;
    padding-top: 4rem;
    font-style:italic;
    font-family: "Fraunces", serif;
    margin-bottom: 15rem;
    text-align: left;
    
}


#section-2-heading::after {
  content: "|";          
  display: inline-block;
  margin-left: 2px;
  animation: blink 1.5s infinite;
}


#heading-2::after {
  content: "|";         
  display: inline-block;
  margin-left: 2px;
  animation: blink 1.5s infinite;
}



#section-5 {
    background-color: #642D26;
    width: 100%;
    min-height: 100vh;
    z-index: 10;
}



.section-5-left {
    color: white;
    padding-left: 8px;
    padding-right: 8px;
    h1 {
        font-size: 15rem;
        font-weight: 200;
        font-style: italic;
    }
    h2 {
        font-size: 2rem;
        letter-spacing: -1px;
        font-weight: 200;
        font-family: "Fraunces", serif;

    }
}


.section-5-layout {
  display: grid;
  grid-template-columns: 2fr 2fr; 
  gap: 10rem; 
  align-items: start;
  max-width: 1200px;
  padding-top: 5rem;
  margin: 0 auto; 
  z-index: 1;

  form {
    color: white;
    display: flex;
    flex-direction: column;
    gap: 1px;
    padding-top: 4rem;
    padding-bottom: 4rem;
    
    label {
        font-family: 'roboto', sans-serif;
        font-size: 1.2rem;
        font-weight: 500;
        padding-top: 16px;
        
    }
    input{
        background: none;
        border: none;
        border-bottom: 1px solid #aaa;
        padding: 0.4rem 0;
        padding-top: 1rem;
        font-size: 1rem;
        color: white;
        /*width: 100%;*/
        outline: none;
        transition: border-color 0.3s ease;
        resize: none;
    }
    input:focus, textarea:focus {
        border-color: white;
    }

    textarea {
      background-color: transparent;
      color: white;
      font-size: 1rem;
    }
    
    button {
      color: white;
      align-self: flex-end;
      background: none;
      border: 1px solid white;
      padding: 0.5rem 1rem;
      cursor: pointer;
      margin-top: 1rem;
      transition: all 0.3s ease;
    }

    button:active {
      background: white;
      color: #24333c;
      transform: scale(0.97); 
    }
  }
}
.error-message {
  color: #ff4d4d; 
  font-size: 0.9rem;
  display: none;
}
.dietary-description {
    font-size: 1rem;
    margin-top: 8px;
    margin-bottom: 1rem;

}
.radio-group {
  display: grid;
  grid-template-columns: repeat(2, auto); 
  gap: 1rem; 
  padding: 0;
  align-items: center; 
  margin: 1rem 1rem 2rem 0;
  
}

.radio-group label {
  display: flex;
  align-items: center;
  max-width: 50px;
  gap: 0.6rem;
  cursor: pointer;
}



.radio-button,
.radio-button-2 {
  transform: scale(2);
  cursor: pointer;
}

.radio-span {
  padding-left: 10px;
}


footer {
    background: #E3894D;
    background: linear-gradient(180deg,rgba(227, 137, 77, 1) 0%, rgba(143, 166, 172, 1) 100%);
    width: 100%;
    min-height: 100vh;
    overflow: hidden;
    position: relative;
    
}
#final-img {
  position: absolute;
  top: 0;
  z-index: 1;
  left: 50%;
  width: 1200px;
  transform: translateX(-50%);
  
}
#footer-heading{
  font-family: "Fraunces", serif;
  font-weight: 600;
  padding-top: 4rem;
  z-index: 2;
  text-align: center;
  position: relative;
  color: black;
  
}

#footer-heading-2{
  font-family: "Fraunces", serif;
  font-weight: 500;
  z-index: 2;
  position: relative;
  color: black;
  text-align: center;
  
}

.contacts {
  display: flex;
  padding-top: 30rem;
  gap: 1rem;
  justify-content: space-around;

  p {
    font-family: "Fraunces", serif;
    font-weight: 400;
    font-size: 1.8rem;
    color: black;
    z-index: 2;
    position: relative;
  }
}





@keyframes blink {
  0%, 50%, 100% { opacity: 1; }
  25%, 75% { opacity: 0; }
}


#section-3-heading {
    color: #9E4C29;
    font-weight: 200;
    font-size: 8rem;
    padding-top: 10rem;
    text-align: left;
    padding-left: 17rem;
    font-style:italic;
}


.section-3-content-container {
  display: grid;
  grid-template-columns: 500px 1fr;
  gap: 3rem 7rem; 
  align-items: start;
  max-width: 1200px;
  padding-left: 10rem;
  margin: 0 auto;
  padding: 10rem;
  color: #9E4C29;
  
}

.section-3-content-container h2 {
  font-family: "Fraunces", serif;
  text-align: right;
  margin: 0;
  font-weight: 400;
  font-size: 2rem;
  
}

.section-3-content-container p {
  margin: 0;
  font-size: 1.2rem;
  font-family: "roboto", sans-serif;
  font-weight: 500;
}



#section-4-heading {
    color: white;
    font-weight: 200;
    font-size: 8rem;
    padding-top: 10rem;
    text-align: center;
    font-style:italic;
    padding-bottom: 10rem;
}

.info-layout {
  display: grid;
  grid-template-columns: 1fr 2fr; 
  gap: 2rem; 
  align-items: start;
  max-width: 800px;
  margin: 0 auto; 
  color: white;
  border-bottom: 1px solid #ddd;
  padding: 4rem;
  h2 {
    font-weight: 400;
    font-family: 'Fraunces', serif;
  }
  
  p {
    font-family: 'roboto', sans-serif;
    font-size: 1rem;
    line-height: 1.5;
  }
}




/*! Media queries */




/* Phone */
@media (max-width: 900px) {
    
.box-left {
    position: fixed;
    top: 0;
    bottom: 0;
    width: 50.5vw;
    background: #aea772a9;
    backdrop-filter: blur(20px);
    z-index: 99999;
}

.box-right {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 50vw;
    width: 50.5vw;
    background: #aea772a9;
    backdrop-filter: blur(20px);
    z-index: 99999;
}

.navBar {
    display: flex;
    list-style: none;
    gap: 3rem;
    padding: 0 1rem;
    a {
        text-decoration: none;
        color: #24333c;
        font-size: 16px;
    }
}

#hero-image {
  width: 430px;
}
#michael-img {
  width: 200px;
  border-radius: 2rem;
}
#eliza-img {
  width: 200px;
  border-radius: 2rem;
}

#anderson-point {
  width: 100%;
  height: auto;
  object-fit: cover;
}
#iggy-img {
  width: 200px;
}

#pablo-img {
  display: none;
}
#pablo-img-mobile {
  display: inline-block;
  width: 300px;
}
#albie-img {
  width: 250px;
  position: absolute;
  top: 74%;
  right: 1%;
}
#headerText {
    padding-top: 4rem;
    line-height: 0.8;
    font-weight: 500;
    font-size: 4.5rem;
}

#header-span-2 {
    font-weight: bolder;
    font-size: 2rem;
    margin-bottom: 1rem;
    display: inline-block;
}
#marriedText {
    line-height: 0.8;
    font-weight: 500;
}

#second-header-text {
    color: #B2DFFE;
    margin: 0;
    padding: 0;
    font-size: 1rem;
    font-weight: 500;
    padding-top: 4rem;
    letter-spacing: 0.2rem;

}

#address {
    color: #B2DFFE;
    margin: 0;
    padding: 0;
    font-weight: 400;
    padding-top: 1rem;
    font-size: 1.2rem;
    letter-spacing: 0.1rem;
    
}

#redirect-button {
    color: rgb(0, 0, 0);
    font-family: "Fraunces", serif;
    
    padding: 0.5rem 2rem;
    border-radius: 1rem;
    border: 2px solid black;
    box-shadow: 4px 5px 2px rgba(0, 0, 0, 0.3);
    background-color: #566560;
    font-size: 1.5rem;
    letter-spacing: 0.1rem;
    cursor: pointer;
    z-index: 999;
}
#description {
    color: #B2DFFE;
    padding-top: 3rem;
    letter-spacing: 0.1rem;
    font-size: 0.8rem;
    font-weight: 400;
    font-family: "Fraunces", serif;
}
    

#section-2-heading {
    font-size: 3rem;
    text-align: center;
    padding: 0;
    margin-bottom: 7rem;
    padding-right: 3rem;
    }
#heading-2 {
    font-size: 3rem;
    text-align: center;
    padding: 0;
    margin-bottom: 7rem;
    padding-top: 5rem;
    padding-right: 3rem;
}

.timeline-wrapper {
    max-width: 500px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 6rem;
    padding-right: 3rem;
}

.info-wrapper {
    max-width: 500px;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 6rem;
    padding-right: 3rem;
}

.timeline-item {
  display: grid;
  align-items: center;
  justify-content: center;
  gap: 3rem;
  padding-bottom: 2rem;
}

  .timeline-item.left {
    grid-template-columns: 1fr;
    text-align: left;
  }

  .timeline-item.right {
    grid-template-columns: 1fr;
    text-align: left;
  }
  .timeline-item.right-2 {
    grid-template-columns: 1fr;
    text-align: left;
  }
  .column-gap {
      display: flex;
      flex-direction: column;
      gap: 1rem;
  }
  .timeline-item.center {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: left;
    max-width: 600px;
  }

.timeline-item.center2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: left;
  max-width: 500px;
  z-index: 9999;
}


/* Section 5 */
.section-5-left {
    color: white;
    h1 {
        font-size: 8rem;
        font-weight: 200;
        font-style: italic;
        text-align: center;
    }
    h2 {
        font-size: 2rem;
        letter-spacing: -1px;
        font-weight: 200;
        text-align: center;
        font-family: "Fraunces", serif;

    }
    p {
      text-align: center;
    }
}


.section-5-layout {
  display: flex;
  flex-direction: column;
  gap: 10rem; 
  align-items: start;
  width: 100vw;
  max-width: 500px;
  padding-top: 5rem;
  margin: 0 auto; 

  form {
    color: white;
    display: flex;
    flex-direction: column;
    gap: 8px;
    /*max-width: 350px; */
    max-width: 93vw;
    margin: 0 auto;
    padding-top: 4rem;
    padding-bottom: 4rem;
    padding-left: 1rem;
    padding-right: 1rem;
    
    label {
        font-family: 'roboto', sans-serif;
        font-size: 1.2rem;
        font-weight: 500;

        
    }
    input, textarea {
        background: none;
        border: none;
        border-bottom: 1px solid #aaa;
        padding: 0.4rem 0;
        font-size: 0.8rem;
        color: white;
        /*width: 100%; */
        outline: none;
        transition: border-color 0.3s ease;
        resize: none;
    }
    input:focus, textarea:focus {
        border-color: white;
    }
    
    button {
      color: white;
      align-self: flex-end;
      background: none;
      border: 1px solid white;
      padding: 0.7rem 1rem;
      margin-top: 1rem;
      cursor: pointer;
      transition: all 0.3s ease;
    }

    button:active {
      background: white;
      color: #24333c;
      transform: scale(0.97); 
    }

    
  }
}
.dietary-description {
    font-size: 1rem;
    margin-top: 8px;
    margin-bottom: 1rem;

}
.radio-group {
  display: grid;
  grid-template-columns: repeat(25, auto); 
  gap: 2rem; 
  align-items: center; 
  margin: 1rem 1rem 2rem 0;
}

.radio-group label {
  display: flex;
  max-width: 80px;
  align-items: center;
  gap: 2rem;
}


.radio-button {
    display: inline-block;
    cursor: pointer;
}

.radio-span {
  padding-left: 5px;
}

#final-img {
  position: absolute;
  top: 0;
  z-index: 1;
  left: 50%;
  width: 1000px;
  transform: translateX(-50%);
  
}
#footer-heading{
  font-family: "Fraunces", serif;
  font-weight: 600;
  padding-top: 4rem;
  font-size: 3rem;
  z-index: 2;
  text-align: center;
  position: relative;
  color: black;
  
}

#footer-heading-2{
  font-family: "Fraunces", serif;
  font-weight: 500;
  z-index: 2;
  position: relative;
  color: black;
  text-align: center;
  
}

.contacts {
  display: flex;
  flex-direction: column;
  padding-top: 30rem;
  align-items: center;
  gap: 1rem;
  justify-content: space-around;

  p {
    font-family: "Fraunces", serif;
    font-weight: 400;
    font-size: 1.4rem;
    color: black;
    z-index: 2;
    position: relative;
  }
}
}